spago-0.21.0

Safe Haskell | None
Language | Haskell2010

Spago.Command.Init

Synopsis

- initProject :: HasEnv env => Force -> TemplateComments -> Maybe Text -> RIO env Config

# Documentation

initProject :: HasEnv env => Force -> TemplateComments -> Maybe Text -> RIO env Config #

Init a new Spago project: - create `packages.dhall` to manage the package set, overrides, etc - create `spago.dhall` to manage project config: name, deps, etc - create an example `src` folder (if needed) - create an example `test` folder (if needed)